An Record that manages two copies internally, a before and after, for 'undo' and comparison purposes. An Record Represents a 'Record' or set of Property (names and values). An Record may also have Annotations (style annotations) that apply to the whole 'record'

### Hierarchy

- RecordBuffer

### Implements

- Record

## Index

### Constructors

- constructor

### Properties

- _after
- _before

### Accessors

- after
- annotations
- backgroundColor
- before
- foregroundColor
- id
- imageName
- imagePlacement
- isBoldText
- isItalicText
- isPlacementCenter
- isPlacementLeft
- isPlacementRight
- isPlacementStretchUnder
- isPlacementUnder
- isUnderline
- overrideText
- propCount
- propNames
- propValues
- properties
- tipText
- type

### Methods

- afterEffects
- annotationsAtName
- backgroundColorFor
- foregroundColorFor
- imageNameFor
- imagePlacementFor
- isBoldTextFor
- isChanged
- isItalicTextFor
- isPlacementCenterFor
- isPlacementLeftFor
- isPlacementRightFor
- isPlacementStretchUnderFor
- isPlacementUnderFor
- isUnderlineFor
- overrideTextFor
- propAtIndex
- propAtName
- setValue
- tipTextFor
- toJSON
- toRecord
- valueAtName
- createRecordBuffer

## Constructors

### constructor

- new RecordBuffer(_before: Record, _after?: Record): RecordBuffer

- - Defined in models/RecordBuffer.ts:23

  #### Parameters

  - ##### _before: Record

  - ##### Optional _after: Record

  #### Returns RecordBuffer

## Properties

### Private Optional _after

_after: Record

- Defined in models/RecordBuffer.ts:25

### Private _before

_before: Record

- Defined in models/RecordBuffer.ts:25

## Accessors

### after

- get after(): Record

- - Defined in models/RecordBuffer.ts:34

  #### Returns Record

### annotations

- get annotations(): DataAnnotation[]

- - Defined in models/RecordBuffer.ts:38

  #### Returns DataAnnotation[]

### backgroundColor

- get backgroundColor(): string

- - Defined in models/RecordBuffer.ts:54

  #### Returns string

### before

- get before(): Record

- - Defined in models/RecordBuffer.ts:62

  #### Returns Record

### foregroundColor

- get foregroundColor(): string

- - Defined in models/RecordBuffer.ts:66

  #### Returns string

### id

- get id(): string

- - Defined in models/RecordBuffer.ts:160

  #### Returns string

### imageName

- get imageName(): string

- - Defined in models/RecordBuffer.ts:74

  #### Returns string

### imagePlacement

- get imagePlacement(): string

- - Defined in models/RecordBuffer.ts:82

  #### Returns string

### isBoldText

- get isBoldText(): boolean

- - Defined in models/RecordBuffer.ts:90

  #### Returns boolean

### isItalicText

- get isItalicText(): boolean

- - Defined in models/RecordBuffer.ts:104

  #### Returns boolean

### isPlacementCenter

- get isPlacementCenter(): boolean

- - Defined in models/RecordBuffer.ts:112

  #### Returns boolean

### isPlacementLeft

- get isPlacementLeft(): boolean

- - Defined in models/RecordBuffer.ts:120

  #### Returns boolean

### isPlacementRight

- get isPlacementRight(): boolean

- - Defined in models/RecordBuffer.ts:128

  #### Returns boolean

### isPlacementStretchUnder

- get isPlacementStretchUnder(): boolean

- - Defined in models/RecordBuffer.ts:136

  #### Returns boolean

### isPlacementUnder

- get isPlacementUnder(): boolean

- - Defined in models/RecordBuffer.ts:144

  #### Returns boolean

### isUnderline

- get isUnderline(): boolean

- - Defined in models/RecordBuffer.ts:152

  #### Returns boolean

### overrideText

- get overrideText(): string

- - Defined in models/RecordBuffer.ts:164

  #### Returns string

### propCount

- get propCount(): number

- - Defined in models/RecordBuffer.ts:180

  #### Returns number

### propNames

- get propNames(): string[]

- - Defined in models/RecordBuffer.ts:184

  #### Returns string[]

### propValues

- get propValues(): any[]

- - Defined in models/RecordBuffer.ts:192

  #### Returns any[]

### properties

- get properties(): Property[]

- - Defined in models/RecordBuffer.ts:188

  #### Returns Property[]

### tipText

- get tipText(): string

- - Defined in models/RecordBuffer.ts:221

  #### Returns string

### type

- get type(): string

- - Defined in models/RecordBuffer.ts:196

  #### Returns string

## Methods

### afterEffects

- afterEffects(afterAnother?: Record): Record

- Implementation of Record.afterEffects

  - Defined in models/RecordBuffer.ts:46

  #### Parameters

  - ##### Optional afterAnother: Record

  #### Returns Record

### annotationsAtName

- annotationsAtName(propName: string): DataAnnotation[]

- Implementation of Record.annotationsAtName

  - Defined in models/RecordBuffer.ts:42

  #### Parameters

  - ##### propName: string

  #### Returns DataAnnotation[]

### backgroundColorFor

- backgroundColorFor(propName: string): string

- Implementation of Record.backgroundColorFor

  - Defined in models/RecordBuffer.ts:58

  #### Parameters

  - ##### propName: string

  #### Returns string

### foregroundColorFor

- foregroundColorFor(propName: string): string

- Implementation of Record.foregroundColorFor

  - Defined in models/RecordBuffer.ts:70

  #### Parameters

  - ##### propName: string

  #### Returns string

### imageNameFor

- imageNameFor(propName: string): string

- Implementation of Record.imageNameFor

  - Defined in models/RecordBuffer.ts:78

  #### Parameters

  - ##### propName: string

  #### Returns string

### imagePlacementFor

- imagePlacementFor(propName: string): string

- Implementation of Record.imagePlacementFor

  - Defined in models/RecordBuffer.ts:86

  #### Parameters

  - ##### propName: string

  #### Returns string

### isBoldTextFor

- isBoldTextFor(propName: string): boolean

- Implementation of Record.isBoldTextFor

  - Defined in models/RecordBuffer.ts:94

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isChanged

- isChanged(name: string): boolean

- - Defined in models/RecordBuffer.ts:98

  #### Parameters

  - ##### name: string

  #### Returns boolean

### isItalicTextFor

- isItalicTextFor(propName: string): boolean

- Implementation of Record.isItalicTextFor

  - Defined in models/RecordBuffer.ts:108

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementCenterFor

- isPlacementCenterFor(propName: string): boolean

- Implementation of Record.isPlacementCenterFor

  - Defined in models/RecordBuffer.ts:116

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementLeftFor

- isPlacementLeftFor(propName: string): boolean

- Implementation of Record.isPlacementLeftFor

  - Defined in models/RecordBuffer.ts:124

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementRightFor

- isPlacementRightFor(propName: string): boolean

- Implementation of Record.isPlacementRightFor

  - Defined in models/RecordBuffer.ts:132

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementStretchUnderFor

- isPlacementStretchUnderFor(propName: string): boolean

- Implementation of Record.isPlacementStretchUnderFor

  - Defined in models/RecordBuffer.ts:140

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementUnderFor

- isPlacementUnderFor(propName: string): boolean

- Implementation of Record.isPlacementUnderFor

  - Defined in models/RecordBuffer.ts:148

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isUnderlineFor

- isUnderlineFor(propName: string): boolean

- Implementation of Record.isUnderlineFor

  - Defined in models/RecordBuffer.ts:156

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### overrideTextFor

- overrideTextFor(propName: string): string

- Implementation of Record.overrideTextFor

  - Defined in models/RecordBuffer.ts:168

  #### Parameters

  - ##### propName: string

  #### Returns string

### propAtIndex

- propAtIndex(index: number): Property

- Implementation of Record.propAtIndex

  - Defined in models/RecordBuffer.ts:172

  #### Parameters

  - ##### index: number

  #### Returns Property

### propAtName

- propAtName(propName: string): Property

- Implementation of Record.propAtName

  - Defined in models/RecordBuffer.ts:176

  #### Parameters

  - ##### propName: string

  #### Returns Property

### setValue

- setValue(name: string, value: any, propDef: PropertyDef): Property

- - Defined in models/RecordBuffer.ts:200

  #### Parameters

  - ##### name: string

  - ##### value: any

  - ##### propDef: PropertyDef

  #### Returns Property

### tipTextFor

- tipTextFor(propName: string): string

- Implementation of Record.tipTextFor

  - Defined in models/RecordBuffer.ts:225

  #### Parameters

  - ##### propName: string

  #### Returns string

### toJSON

- toJSON(): any

- Implementation of Record.toJSON

  - Defined in models/RecordBuffer.ts:233

  #### Returns any

### toRecord

- toRecord(): Record

- - Defined in models/RecordBuffer.ts:229

  #### Returns Record

### valueAtName

- valueAtName(propName: string): any

- Implementation of Record.valueAtName

  - Defined in models/RecordBuffer.ts:237

  #### Parameters

  - ##### propName: string

  #### Returns any

### Static createRecordBuffer

- createRecordBuffer(id: string, before: Property[], after: Property[], annotations: DataAnnotation[]): RecordBuffer

- - Defined in models/RecordBuffer.ts:13

  #### Parameters

  - ##### id: string

  - ##### before: Property[]

  - ##### after: Property[]

  - ##### annotations: DataAnnotation[]

  #### Returns RecordBuffer

Generated using TypeDoc